ros-humble-husarion-ugv-description (2.2.2-1jammy) jammy; urgency=high

  * use husarion_components_description (#577 <https://github.com/husarion/husarion_ugv_ros/issues/577>) (#583 <https://github.com/husarion/husarion_ugv_ros/issues/583>)
  * update lights driver config (#543 <https://github.com/husarion/husarion_ugv_ros/issues/543>) (#579 <https://github.com/husarion/husarion_ugv_ros/issues/579>)
  * Added use_sim to compontnts (#574 <https://github.com/husarion/husarion_ugv_ros/issues/574>) (#576 <https://github.com/husarion/husarion_ugv_ros/issues/576>)
  * Humble gz hotfix (#530 <https://github.com/husarion/husarion_ugv_ros/issues/530>)
  * Contributors: Dawid Kmak, Infra Man, Jakub Delicat

 -- Husarion <support@husarion.com>  Tue, 08 Jul 2025 22:00:00 -0000

ros-humble-husarion-ugv-description (2.2.1-1jammy) jammy; urgency=high

  * bump components version (#519 <https://github.com/husarion/husarion_ugv_ros/issues/519>)
  * fix Lynx imu default position (#515 <https://github.com/husarion/husarion_ugv_ros/issues/515>)
  * Merge pull request #509 <https://github.com/husarion/husarion_ugv_ros/issues/509> from husarion/ros2-imu-ros2-controll-fix
  * And add dev to components example
  * Workaround and remove ros2_controllers custom fork
  * Merge branch 'ros2-devel' of https://github.com/husarion/panther_ros into ros2-shutdown-request
  * Merge branch 'ros2-devel' of https://github.com/husarion/panther_ros into ros2-enchance-performance
  * Contributors: Dawid Kmak, kmakd, rafal-gorecki

 -- Husarion <support@husarion.com>  Thu, 03 Apr 2025 22:00:00 -0000

ros-humble-husarion-ugv-description (2.2.0-1jammy) jammy; urgency=high

  * Merge pull request #498 <https://github.com/husarion/husarion_ugv_ros/issues/498> from husarion/2.2.0-sim-fix
  * release fixes (#497 <https://github.com/husarion/husarion_ugv_ros/issues/497>)
  * Add fixes
  * Merge branch 'ros2-devel' of https://github.com/husarion/panther_ros into ros2-devel
  * Merge pull request #496 <https://github.com/husarion/husarion_ugv_ros/issues/496> from husarion/repo-rename
  * update links
  * Merge branch 'ros2-devel' into lights-new
  * Ros2 change wheels mount point (#492 <https://github.com/husarion/husarion_ugv_ros/issues/492>)
  * Ros2 readme update (#477 <https://github.com/husarion/husarion_ugv_ros/issues/477>)
  * Merge branch 'ros2-devel' into e_stop_torque_enable
  * Add reling link (#474 <https://github.com/husarion/husarion_ugv_ros/issues/474>)
  * Changed add joints to use_joint_state_publisher | added joint state p… (#470 <https://github.com/husarion/husarion_ugv_ros/issues/470>)
  * Merge lynx_description and panther_description into husarion_ugv_descriptions (#456 <https://github.com/husarion/husarion_ugv_ros/issues/456>)
  * Contributors: Dawid Kmak, Jakub Delicat, Rafal Gorecki, Stefan, kmakd, rafal-gorecki

 -- Husarion <support@husarion.com>  Wed, 12 Mar 2025 23:00:00 -0000

ros-humble-husarion-ugv-description (2.1.2-1jammy) jammy; urgency=high

  * Merge branch 'ros2-devel' into ros2-lights-tests
  * Contributors: pawelirh

 -- Husarion <support@husarion.com>  Sun, 01 Dec 2024 23:00:00 -0000

ros-humble-husarion-ugv-description (2.1.1-1jammy) jammy; urgency=high

  * LEDStrip plugin to Gazebo (#391 <https://github.com/husarion/panther_ros/issues/391>)
  * Merge pull request #374 <https://github.com/husarion/panther_ros/issues/374> from husarion/ros2-ns-refactor
  * Merge branch 'ros2-devel' into ros2-ns-refactor
  * Merge branch 'ros2-devel' of https://github.com/husarion/panther_ros into ros2-add-nmea-gps
  * Merge pull request #383 <https://github.com/husarion/panther_ros/issues/383> from husarion/ros-sim-estop
  * Merge remote-tracking branch 'origin/ros2-devel' into ros2-testing-poc
  * Rename PantherSystem -> GzPantherSystem
  * Typos in Readme + estop publish on service call
  * Ros2 estop sim gui (#384 <https://github.com/husarion/panther_ros/issues/384>)
  * Merge branch 'ros2-devel' into ros2-ns-refactor
  * unify CMakeLists.txt files (#381 <https://github.com/husarion/panther_ros/issues/381>)
  * Add remapping
  * unify CMakeLists.txt files
  * Add EStop to Gazebo
  * New format of documentation  (#369 <https://github.com/husarion/panther_ros/issues/369>)
  * Namespace refactor
  * Contributors: Dawid, Dawid Kmak, KmakD, Paweł Irzyk, pawelirh, rafal-gorecki

 -- Husarion <support@husarion.com>  Wed, 04 Sep 2024 22:00:00 -0000

ros-humble-husarion-ugv-description (2.1.0-1jammy) jammy; urgency=high

  * Fixed gazebo lights tfs (#377 <https://github.com/husarion/panther_ros/issues/377>)
  * Ros2 system status tf namespace (#372 <https://github.com/husarion/panther_ros/issues/372>)
  * Fix imu tf frame (#373 <https://github.com/husarion/panther_ros/issues/373>)
  * Ros2 fix wheels friction (#370 <https://github.com/husarion/panther_ros/issues/370>)
  * Merge pull request #362 <https://github.com/husarion/panther_ros/issues/362> from husarion/ros2-api-reorganization
  * Enhance ROS API names in the stack
  * Contributors: Dawid Kmak, Jakub Delicat, pawelirh, rafal-gorecki

 -- Husarion <support@husarion.com>  Thu, 01 Aug 2024 22:00:00 -0000

ros-humble-husarion-ugv-description (2.0.4-1jammy) jammy; urgency=high

  * Delete unnecessary dependency
  * Add EKF GPS configuration (#351 <https://github.com/husarion/panther_ros/issues/351>)
  * Merge pull request #337 <https://github.com/husarion/panther_ros/issues/337> from husarion/ros2-gz-lights
  * Move antenna to ros-components-description (#340 <https://github.com/husarion/panther_ros/issues/340>)
  * Add manager
  * Merge branch 'ros2-devel' into ros2-gz-lights
  * Apply some Dawid suggestions
  * Merge remote-tracking branch 'origin/ros2-devel' into ros2-gpio-controller-revision
  * Merge branch 'ros2' into ros2-build-in-animation
  * Simplify and add cmd_vel
  * Use default components
  * Merge branch 'ros2' into ros2-gz-lights
  * Steering lights from channel topics
  * Add light macro
  * Add lights to urdf
  * Contributors: Dawid Kmak, pawelirh, rafal-gorecki

 -- Husarion <support@husarion.com>  Thu, 27 Jun 2024 22:00:00 -0000

ros-humble-husarion-ugv-description (2.0.3-1jammy) jammy; urgency=high

  * Merge pull request #320 <https://github.com/husarion/panther_ros/issues/320> from husarion/ros2-clear-logs
  * Organize logs in panther_diagnostics and panther_description
  * Contributors: Dawid Kmak, pawelirh

 -- Husarion <support@husarion.com>  Wed, 05 Jun 2024 22:00:00 -0000

ros-humble-husarion-ugv-description (2.0.2-1jammy) jammy; urgency=high

  * Merge pull request #318 <https://github.com/husarion/panther_ros/issues/318> from husarion/fix-default-path
  * Fix default components config path
  * Launch refactor (#307 <https://github.com/husarion/panther_ros/issues/307>)
  * Merge branch 'ros2' of https://github.com/husarion/panther_ros into ros2-manager-refactor
  * Ros2 add components (#277 <https://github.com/husarion/panther_ros/issues/277>)
  * Merge pull request #304 <https://github.com/husarion/panther_ros/issues/304> from husarion/ros2-control-fix
  * Merge pull request #303 <https://github.com/husarion/panther_ros/issues/303> from husarion/ros2-controler-patch
  * Patch
  * Remove const name
  * Merge branch 'ros2' of https://github.com/husarion/panther_ros into ros2-manager-refactor
  * Multi robot spawn working (#256 <https://github.com/husarion/panther_ros/issues/256>)
  * Merge pull request #300 <https://github.com/husarion/panther_ros/issues/300> from husarion/rename_package
  * Merge branch 'ros2' into rename_package
  * Merge pull request #299 <https://github.com/husarion/panther_ros/issues/299> from husarion/ros2-diagnose-charging-current
  * use new launch
  * Fix typo in comment
  * Contributors: Dawid, Dawid Kmak, Jakub Delicat, Paweł Irzyk, pawelirh, rafal-gorecki

 -- Husarion <support@husarion.com>  Tue, 04 Jun 2024 22:00:00 -0000

ros-humble-husarion-ugv-description (2.0.1-1jammy) jammy; urgency=high

  * Merge pull request #273 <https://github.com/husarion/panther_ros/issues/273> from husarion/ros2-sim-battery
  * Update panther_description/urdf/gazebo.urdf.xacro
  * Fix battery discharge
  * Merge pull request #261 <https://github.com/husarion/panther_ros/issues/261> from husarion/ros2-readme
  * Merge branch 'ros2-devel' into ros2-readme
  * Merge remote-tracking branch 'origin/ros2-devel' into ros2-os-diagnostics
  * Ros2 control imu hardware (#236 <https://github.com/husarion/panther_ros/issues/236>)
  * Add controller readme
  * Merge remote-tracking branch 'origin/ros2-devel' into ros2-os-diagnostics
  * Contributors: Jakub Delicat, Paweł Irzyk, rafal-gorecki

 -- Husarion <support@husarion.com>  Tue, 30 Apr 2024 22:00:00 -0000

ros-humble-husarion-ugv-description (2.0.0-1jammy) jammy; urgency=high

  * Ros2 namespace (#255 <https://github.com/husarion/panther_ros/issues/255>)
    * Preparation for namespace
    * Simulation working
    * Hardware look ok
    * Update panther_controller/config/WH01_controller.yaml
    Co-authored-by: Jakub Delicat <mailto:109142865+delihus@users.noreply.github.com>
    * Apply Jakub suggestions
    Co-authored-by: Jakub Delicat <mailto:109142865+delihus@users.noreply.github.com>
    * Fix imu
    * Readme
    * Add imu namespace
    * Jakub suggestions
    * Add panther manager to xml
    * pre-commit
    * Fixed ekf
    * Additional remapping
    * fix imu
    * Pawel suggestions (collision with gamepad)
    * cmd_vel
    * Use namespace instead of PushRosNamespace
    ---------
    Co-authored-by: Jakub Delicat <mailto:109142865+delihus@users.noreply.github.com>
    Co-authored-by: Jakub Delicat <mailto:jakub.delicat@husarion.com>
  * Merge branch 'ros2-devel' of https://github.com/husarion/panther_ros into ros2-panther-manager
  * Merge pull request #240 <https://github.com/husarion/panther_ros/issues/240> from husarion/ekf_optimalization
    Ekf optimalization
  * Merge branch 'ros2-devel' into ros2-ekf-optimalization
  * Merge branch 'ros2-devel' into ros2-lights-tests
  * Merge branch 'ros2-manager-plugins' of https://github.com/husarion/panther_ros into ros2-panther-manager
  * Add comments
  * Merge remote-tracking branch 'origin/ros2-devel' into ros2-manager-plugins
  * update  params (#243 <https://github.com/husarion/panther_ros/issues/243>)
  * fix imu topic
  * fix controller topic
  * Merge remote-tracking branch 'origin/ros2-devel' into ros2-add-mecanum-controller
  * Merge pull request #208 <https://github.com/husarion/panther_ros/issues/208> from husarion/ros2-control
    Add ROS 2 control
  * Merge branch 'ros2-devel' into ros2-control
    Conflicts:
    panther_gpiod/CMakeLists.txt
    panther_gpiod/package.xml
    panther_gpiod/src/gpio_driver.cpp
  * Add GPIO controller (#222 <https://github.com/husarion/panther_ros/issues/222>)
    * add GPIO controller
    * Basic integration of gpio controller and panther system
    * [WIP] Add panther version
    * add io state topic
    * Remove unnecessary parts from cmakelists
    * Cleanup gpio controller
    * Add estop to panther system
    * Add todo comment
    * Add ServiceWrapper
    * Add estop services
    * Add remaps to ros2 control
    * Add publishing estop state, change iostate to latched and fix publishing initial state
    * revise e-stop logic in initial stage
    * same, but in better way
    * small changes
    * remove clear_errors service
    * Fix test
    * Add resetting gpio controller
    * Change wheel separation multiplier to 1.0
    * fix pin names list
    * add robot version check before GPIO read
    * Change lock in gpio driver
    * Fix order in cmakelists
    * Change throws to exception in briefs
    * Remove unnecessary includes
    * Fix controller_manager topic remaps
    * Add checking if last commands were 0 before resetting estop
    * Change estop variable to atomic bool
    * Add motor controller mutex
    * Change order of operations when setting estop
    * Fix order of methods
    * Fixes in panther system - change methods order, use ReadDriverStatesUpdateFrequency, remove unnecessary logs
    * Remove max_safety_stop_attempts (no longer needed after adding gpio controller)
    * Refactor setting estop in write method
    * Fix estop naming convention
    * Remove old todos
    * Fix typo
    * Review fixes
    * fix formatting
    * Update panther_hardware_interfaces/include/panther_hardware_interfaces/gpio_controller.hpp
    Co-authored-by: Dawid Kmak <mailto:73443304+KmakD@users.noreply.github.com>
    * review fixes
    * rename some methods
    * draft of InitializeAndPublishIOStateMsg functionality
    * fix io_state topic
    * fix service warappers
    * small fix
    * rewiew fixes
    * add briefs in gpio_controler
    * review fixes
    * small fix
    ---------
    Co-authored-by: Paweł Kowalski <mailto:kowalski.pawel.r@gmail.com>
    Co-authored-by: Paweł Kowalski <mailto:82044322+pkowalsk1@users.noreply.github.com>
    Co-authored-by: Dawid Kmak <mailto:73443304+KmakD@users.noreply.github.com>
  * Add IMU noise + basic EKF configuration (#229 <https://github.com/husarion/panther_ros/issues/229>)
    * Fix collisions
    * remove parent dir
    * Add IMU noise
    * EKF working
    * Add controller
    * Update panther_bringup/config/ekf.yaml
    * Update panther_bringup/config/ekf.yaml
    * Format
  * Merge branch 'ros2-devel' into ros2-add-mecanum-controller
  * Gazebo - fix collisions (#225 <https://github.com/husarion/panther_ros/issues/225>)
    * Fix collisions
    * remove parent dir
    * Clean up suggestions
    * Clean up suggestions
    * Undo changes
    * Undo commit
  * Fix collisions
  * Merge pull request #219 <https://github.com/husarion/panther_ros/issues/219> from husarion/ros2-control-pdo-commands
    ros2_control PDO commands
  * CR suggestions
  * Fix comment in the urdf
  * Merge branch 'ros2-control' into ros2-control-pdo-commands
    Conflicts:
    panther_controller/config/WH01_controller.yaml
    panther_controller/config/WH02_controller.yaml
    panther_controller/config/WH04_controller.yaml
    panther_description/urdf/panther_macro.urdf.xacro
    panther_hardware_interfaces/CMakeLists.txt
    panther_hardware_interfaces/CODE_STRUCTURE.md
    panther_hardware_interfaces/README.md
    panther_hardware_interfaces/include/panther_hardware_interfaces/canopen_controller.hpp
    panther_hardware_interfaces/include/panther_hardware_interfaces/motors_controller.hpp
    panther_hardware_interfaces/include/panther_hardware_interfaces/panther_system.hpp
    panther_hardware_interfaces/include/panther_hardware_interfaces/panther_system_ros_interface.hpp
    panther_hardware_interfaces/include/panther_hardware_interfaces/roboteq_data_converters.hpp
    panther_hardware_interfaces/include/panther_hardware_interfaces/roboteq_driver.hpp
    panther_hardware_interfaces/src/canopen_controller.cpp
    panther_hardware_interfaces/src/motors_controller.cpp
    panther_hardware_interfaces/src/panther_system.cpp
    panther_hardware_interfaces/src/panther_system_ros_interface.cpp
    panther_hardware_interfaces/src/roboteq_driver.cpp
  * Merge branch 'ros2-devel' into ros2-control-pdo-commands
    Conflicts:
    panther_bringup/launch/bringup.launch.py
    panther_controller/config/WH01_controller.yaml
    panther_controller/config/WH02_controller.yaml
    panther_controller/config/WH04_controller.yaml
  * Merge branch 'ros2-devel' into ros2-control
    Conflicts:
    panther_bringup/launch/bringup.launch.py
    panther_controller/config/WH01_controller.yaml
    panther_controller/config/WH02_controller.yaml
    panther_controller/config/WH04_controller.yaml
  * CR suggestions - add ms to timeouts
  * Manuall merge of ros2-prealpha to ros2-dev (#218 <https://github.com/husarion/panther_ros/issues/218>)
    * manually merge prealpha with ros2-dev
    * typo and formatting
    * change locks and simplify code
    * add missing library
    * fix build
  * Update communication parameters
  * Change to 100Hz and increase allowed number of errors
  * Update documentation
  * Change frequency to 125hz
  * Add configurable driver states update frequency
  * Merge branch 'ros2-control' into ros2-control-pdo-commands
    Conflicts:
    panther_hardware_interfaces/README.md
    panther_hardware_interfaces/include/panther_hardware_interfaces/canopen_controller.hpp
    panther_hardware_interfaces/include/panther_hardware_interfaces/panther_system.hpp
    panther_hardware_interfaces/include/panther_hardware_interfaces/roboteq_data_converters.hpp
    panther_hardware_interfaces/include/panther_hardware_interfaces/roboteq_driver.hpp
    panther_hardware_interfaces/src/motors_controller.cpp
    panther_hardware_interfaces/src/panther_system.cpp
    panther_hardware_interfaces/src/roboteq_driver.cpp
  * Update whole system to use new pdo communication and add proper timeouts
  * Move can interface name to parameter
  * Change controller frequency to 50hz
  * Fix roboteq naming
  * Precommit changes
  * Merge branch 'ros2-devel' into ros2-control
    Conflicts:
    .clang-format
    README.md
    panther_controller/CMakeLists.txt
    panther_controller/launch/controller.launch.py
    panther_controller/package.xml
    panther_description/CMakeLists.txt
    panther_description/config/WH01.yaml
    panther_description/config/WH02.yaml
    panther_description/config/WH04.yaml
    panther_description/meshes/WH01/fl_wheel.dae
    panther_description/meshes/WH01/fr_wheel.dae
    panther_description/meshes/WH01/rl_wheel.dae
    panther_description/meshes/WH01/rr_wheel.dae
    panther_description/meshes/WH02/fl_wheel.dae
    panther_description/meshes/WH02/fr_wheel.dae
    panther_description/meshes/WH02/rl_wheel.dae
    panther_description/meshes/WH02/rr_wheel.dae
    panther_description/meshes/WH04/fl_wheel.dae
    panther_description/meshes/WH04/fr_wheel.dae
    panther_description/meshes/WH04/rl_wheel.dae
    panther_description/meshes/WH04/rr_wheel.dae
    panther_description/meshes/body.dae
    panther_description/meshes/components/external_antenna.dae
    panther_description/package.xml
    panther_description/rviz/panther.rviz
    panther_description/urdf/body.urdf.xacro
    panther_description/urdf/components/external_antenna.urdf.xacro
    panther_description/urdf/panther.urdf.xacro
    panther_description/urdf/panther_macro.urdf.xacro
    panther_description/urdf/wheel.urdf.xacro
  * Fix urdf
  * Add pre-commit, clang-format and license to files (#207 <https://github.com/husarion/panther_ros/issues/207>)
    Add pre-commit, clang-format and license to files
  * [WIP] Refactor panther system
  * Refactor can controller
  * Increase max pdo errors count
  * Increase initialization/activation attempts
  * Move timeouts and attempts to parameters
  * Merge pull request #203 <https://github.com/husarion/panther_ros/issues/203> from husarion/ros2-ign-add-gps
    Update external_antenna.urdf.xacro
  * Update external_antenna.urdf.xacro
  * Merge pull request #201 <https://github.com/husarion/panther_ros/issues/201> from husarion/ros2-gazebo
    Ros2 gazebo
  * rename ekf node
  * small fixes
  * add new launch params
  * review fixes
  * Update panther_description/urdf/panther_macro.urdf.xacro
    Co-authored-by: Dawid Kmak <mailto:73443304+KmakD@users.noreply.github.com>
  * Update panther_description/urdf/panther_macro.urdf.xacro
    Co-authored-by: Dawid Kmak <mailto:73443304+KmakD@users.noreply.github.com>
  * Update panther_description/urdf/components/external_antenna.urdf.xacro
    Co-authored-by: Dawid Kmak <mailto:73443304+KmakD@users.noreply.github.com>
  * Update panther_description/urdf/body.urdf.xacro
    Co-authored-by: Dawid Kmak <mailto:73443304+KmakD@users.noreply.github.com>
  * Update panther_description/package.xml
    Co-authored-by: Dawid Kmak <mailto:73443304+KmakD@users.noreply.github.com>
  * Update panther_description/urdf/panther_macro.urdf.xacro
    Co-authored-by: Dawid Kmak <mailto:73443304+KmakD@users.noreply.github.com>
  * Update panther_description/urdf/panther_macro.urdf.xacro
    Co-authored-by: Dawid Kmak <mailto:73443304+KmakD@users.noreply.github.com>
  * Update panther_description/CMakeLists.txt
    Co-authored-by: Dawid Kmak <mailto:73443304+KmakD@users.noreply.github.com>
  * fix ekf
  * add mesh path parsing
  * grammar fixes
  * add battery plugin
  * add wheel params in launches
  * add imu filter and ekf
  * initial sim configuration draft
  * Read single sdo value every read cycle
  * Add reading other roboteq driver feedback
  * Remove torque control code
  * Add ros2 control
  * Contributors: Dawid, Dawid Kmak, Jakub Delicat, Krzysztof Wojciechowski, Maciej Stępień, Paweł Kowalski, rafal-gorecki

 -- Husarion <support@husarion.com>  Thu, 28 Mar 2024 23:00:00 -0000


